## class Fl_Check_Browser

### Class Hierarchy

    Fl_Browser_
       |
       +----Fl_Check_Browser

### Include Files

    #include <FL/Fl_Check_Browser.H>

### Description

The `Fl_Check_Browser` widget displays a scrolling list of text lines that may be selected and/or checked by the user.

### Methods

- Fl_Check_Browser
- add
- check_all
- check_none

- checked
- clear
- nchecked
- nitems

- remove
- set_checked
- text
- value

#### Fl_Check_Browser::Fl_Check_Browser(int, int, int, int, const char * = 0)

The constructor makes an empty browser.

#### int Fl_Check_Browser::add(const char *)
int Fl_Check_Browser::add(const char *, int)

Add a new unchecked line to the end of the browser. The text is copied using the `strdup()` function. It may also be `NULL` to make a blank line. The second form can set the item checked.

#### void Fl_Check_Browser::check_all()

Sets all the items checked.

#### void Fl_Check_Browser::check_none()

Sets all the items unchecked.

#### int Fl_Check_Browser::checked(int item) const
void Fl_Check_Browser::checked(int item, int b)

The first form gets the current status of item `item`. The second form sets the check status of item `item` to `b`.

#### void Fl_Check_Browser::clear()

Remove every item from the browser.

#### int Fl_Check_Browser::nchecked() const

Returns how many items are currently checked.

#### int Fl_Check_Browser::nitems() const

Returns how many lines are in the browser. The last line number is equal to this.

#### int Fl_Check_Browser::remove(int n)

Remove line `n` and make the browser one line shorter. Returns the number of lines left in the browser.

#### void Fl_Check_Browser::set_checked(int item)

Equivalent to `Fl_Check_Browser::checked(item, 1)`.

#### char *Fl_Check_Browser::text(int item) const

Return a pointer to an internal buffer holding item `item`'s text.

#### int Fl_Check_Browser::value() const

Returns the index of the currently selected item.